Search documentation of ash

# Ash.DataLayer.Simple (ash v3.4.71)

View Source

A data layer that returns structs.

This is the data layer that is used under the hood by embedded resources, and resources without data layers.

# Summary

## Functions

bulk_create(resource, stream, options)

Callback implementation for `Ash.DataLayer.bulk_create/3`.

set_data(query, data)

Sets the data for a query against a data-layer-less resource

# Functions

# bulk_create(resource, stream, options)

Callback implementation for `Ash.DataLayer.bulk_create/3`.

# set_data(query, data)

Sets the data for a query against a data-layer-less resource